Summary: Debug Malloc (Dmalloc)
Name: dmalloc
Version: 5.3.0
Release: 3
Group: Development/Tools
License: public domain
Source: http://dmalloc.com/releases/%{name}-%{version}.tgz
URL: http://dmalloc.com/
Patch: dmalloc-pic.patch
Patch2: dmalloc-shlib.patch
Prereq: /sbin/install-info
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The debug memory allocation or "dmalloc" library has been designed as
a drop in replacement for the system's `malloc', `realloc', `calloc',
`free' and other memory management routines while providing powerful
debugging facilities configurable at runtime.  These facilities
include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.  It also provides support for the debugging of threaded
programs.  Releases and documentation available online. 
http://dmalloc.com/

%prep
%setup -q
%patch -p1
%patch2 -p1

%build
%configure --enable-threads --enable-shlib --enable-cxx

#
# NOTE: we make the test program first because otherwise it screws up
# and tried to use the .so instead of the .a for some stupid reason
make dmalloc_t all
%ifnarch s390x
make light
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall shlibdir="%{?buildroot:%{buildroot}}%{_libdir}" installcxx installth installsl
mkdir -p ${RPM_BUILD_ROOT}/%{_infodir}
install -m 644 docs/dmalloc.info ${RPM_BUILD_ROOT}/%{_infodir}/
chmod +x ${RPM_BUILD_ROOT}%{_libdir}/*.so

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/dmalloc.info %{_infodir}/dir

%preun
/sbin/install-info --delete %{_infodir}/dmalloc.info %{_infodir}/dir

%files
%defattr(-,root,root)
%doc INSTALL README NEWS
%doc docs/dmalloc.html
%{_bindir}/dmalloc
%{_includedir}/dmalloc.h
%{_libdir}/libdmalloc.a
%{_libdir}/libdmalloc.so
%{_libdir}/libdmallocxx.a
%{_libdir}/libdmallocxx.so
%{_libdir}/libdmallocth.a
%{_libdir}/libdmallocth.so
%{_libdir}/libdmallocthcxx.a
%{_libdir}/libdmallocthcxx.so
%{_infodir}/dmalloc.info*

%changelog
* Tue Oct 19 2004 Jakub Jelinek <jakub@redhat.com>
- fix linking of shared libs (#114073)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun May 23 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 5.3.0

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 4.8.1-10
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jul 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add prereq: install-info

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Install info files in info directory

* Sun Jun 03 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use "installinfo" to get the docu in the right place

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- build with -fPIC

* Sat Dec  2 2000 Jeff Johnson <jbj@redhat.com>
- modify SourceForge srpm for Red Hat 7.1.

